## kmidimon 0.5.0

=== CMakeLists.txt ===
# The name of our project is "KMIDIMON". CMakeLists files in this project can
# refer to the root source directory of the project as ${KMIDIMON_SOURCE_DIR} 
# and to the root binary directory of the project as ${KMIDIMON_BINARY_DIR}
PROJECT(KMIDIMON)

# CMake supports KDE checks since this version number
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.2)

# Show full commands and messages. It generates a lot of console output.
# It is necessary for Eclipse warning/error parser, 
# but it can be enabled anyway with "make VERBOSE=1"
SET(CMAKE_VERBOSE_MAKEFILE OFF)

# Seems that relative paths break some scripts. Don't set it ON
SET(CMAKE_USE_RELATIVE_PATHS OFF)

# Rebuild the object files if the rules have changed, but not the actual source 
# files or headers (e.g. if you changed the some compiler switches)
SET(CMAKE_SKIP_RULE_DEPENDENCY OFF)

# Misc settings
SET(CMAKE_COLOR_MAKEFILE ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)
SET(CMAKE_BUILD_WITH_INSTALL_RPATH ON)

# Additional CMake modules for 3rd party library checks reside here
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")

# KMIDIMON version string
SET (VERSION_MAJOR "0")
SET (VERSION_MINOR "5")
SET (VERSION_PATCH "0")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
ADD_DEFINITIONS(-D'VERSION="${VERSION}"')

# User options
OPTION(WANT_DEBUG   "Include debug support" OFF)
OPTION(WANT_FULLDBG "Full debug support (BIG executables!)" OFF)
OPTION(WANT_PCH     "Use precompiled headers" OFF)

# Check for KDE3
FIND_PACKAGE(KDE3 REQUIRED QUIET)
IF(QT_FOUND)
    ADD_DEFINITIONS(${QT_DEFINITIONS})
    MESSAGE(STATUS "Found Qt3 (version ${qt_version_str})")
    #MESSAGE("QT_LIBRARIES: ${QT_LIBRARIES}")
ELSE(QT_FOUND)
    MESSAGE(FATAL_ERROR "Qt3 package not found")
ENDIF(QT_FOUND)
IF(KDE3_FOUND)
    ADD_DEFINITIONS(${KDE3_DEFINITIONS})
    #MESSAGE("KDE3PREFIX: ${KDE3PREFIX}")
    KDE3_PRINT_RESULTS()
    #MESSAGE("QT_AND_KDECORE_LIBS: ${QT_AND_KDECORE_LIBS}")
ELSE(KDE3_FOUND)    
    MESSAGE(FATAL_ERROR "KDE3 Not found")
ENDIF(KDE3_FOUND)

# Clear the flags set by FindKDE3 
SET(CMAKE_CXX_FLAGS "")

# Provide the KDE3 prefix as a default prefix (if the user has CMake 2.4.4)
IF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX ${KDE3PREFIX} CACHE PATH
        "Install path prefix, prepended onto install directories." FORCE)
ENDIF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT) 

# Check for PKG-CONFIG
FIND_PACKAGE(PkgConfig REQUIRED)
IF(PKG_CONFIG_FOUND)
    MESSAGE(STATUS "Program pkg-config found (${PKG_CONFIG_EXECUTABLE})")
ELSE(PKG_CONFIG_FOUND)
    MESSAGE(FATAL_ERROR "Program pkg-config not found")
ENDIF(PKG_CONFIG_FOUND)

# Initialize some variables
SET(HAVE_ALSA FALSE)

# Check for ALSA 1.0
PKG_CHECK_MODULES(ALSA REQUIRED alsa>=1.0)
IF(ALSA_FOUND)
    SET(HAVE_ALSA TRUE)
    ADD_DEFINITIONS(-DHAVE_ALSA)
    SET(ALSA_LIBS ${ALSA_LIBRARIES})
    #MESSAGE("ALSA_LIBS: ${ALSA_LIBS}")
    LIST(APPEND ALSA_LIB_DIR ${ALSA_LIBRARY_DIRS} ${ALSA_LIBDIR} )
    #MESSAGE("ALSA_LIB_DIR: ${ALSA_LIB_DIR}")
    LIST(APPEND ALSA_INC_DIR ${ALSA_INCLUDE_DIRS} ${ALSA_INCLUDEDIR})
    #MESSAGE("ALSA_INC_DIR: ${ALSA_INC_DIR}")
ELSE(ALSA_FOUND)
    MESSAGE(FATAL_ERROR "Please install the required package. Aborting")
ENDIF(ALSA_FOUND)
    
FIND_PACKAGE(MSGFMT REQUIRED)
IF(MSGFMT_FOUND)
    MESSAGE(STATUS "Program msgfmt found (${MSGFMT_EXECUTABLE})")
ENDIF(MSGFMT_FOUND)

FIND_PACKAGE(MEINPROC REQUIRED)
IF(MEINPROC_FOUND)
    MESSAGE(STATUS "Program meinproc found (${MEINPROC_EXECUTABLE})")
ENDIF(MEINPROC_FOUND)

# Check GCC for PCH support
SET(USE_PCH FALSE)
IF(WANT_PCH)
    FIND_PACKAGE(PCHSupport)
    IF(PCHSupport_FOUND)
        SET(USE_PCH TRUE)
        MESSAGE(STATUS "Enabling precompiled headers for GCC ${gcc_compiler_version}") 
    ENDIF(PCHSupport_FOUND)
ENDIF(WANT_PCH)

SET(CMAKE_CXX_FLAGS_RELEASE         "-O2 -w -fexceptions -DNDEBUG")
SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO  "-O2 -g -Wall -fexceptions -DDEBUG")
SET(CMAKE_CXX_FLAGS_DEBUG           "-O0 -g3 -Wall -fexceptions -DDEBUG")

MESSAGE(STATUS "kmidimon ${VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

IF(WANT_DEBUG)
    IF(WANT_FULLDBG)
        MESSAGE(STATUS "Configured to compile including full debug information in the executables")
        SET(CMAKE_BUILD_TYPE Debug CACHE STRING
            "Choose the type of build, options are: Debug Release RelWithDebInfo" FORCE)
    ELSE(WANT_FULLDBG)
        MESSAGE(STATUS "Configured to compile including debug information in the executables")
        SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
            "Choose the type of build, options are: Debug Release RelWithDebInfo" FORCE)
    ENDIF(WANT_FULLDBG)
ELSE(WANT_DEBUG)
    MESSAGE(STATUS "Configured to compile for release without debug information")
    SET(CMAKE_BUILD_TYPE Release CACHE STRING
        "Choose the type of build, options are: Debug Release RelWithDebInfo" FORCE)
ENDIF(WANT_DEBUG)

# Recurse into the "src" subdirectory. This does not actually
# cause another cmake executable to run. The same process will walk through
# the project's entire directory structure.
# Output directory will be "RGbuild/"
ADD_SUBDIRECTORY(src build)

# Build and install the translations directory
ADD_SUBDIRECTORY(po build/po)

# Build and install the documentation directory
ADD_SUBDIRECTORY(doc build/doc)

# uninstall custom target
CONFIGURE_FILE(
    "${CMAKE_SOURCE_DIR}/cmake_admin/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

# Custom target trying to clean the CMake generated files
ADD_CUSTOM_TARGET ( distclean
    COMMAND rm -f  {,src/,po/,doc/}CMakeCache.txt
    COMMAND rm -f  {,src/,po/,doc/}cmake_install.cmake
    COMMAND rm -f  {,src/,po/,doc/}cmake_uninstall.cmake
    COMMAND rm -f  {,src/,po/,doc/}CPackConfig.cmake
    COMMAND rm -f  {,src/,po/,doc/}CPackSourceConfig.cmake
    COMMAND rm -f  {,src/,po/,doc/}install_manifest.txt
    COMMAND rm -f  {,src/,po/,doc/}progress.make
    COMMAND rm -f  {,src/,po/,doc/}kmidimon.{fedora,mdk}.spec
    COMMAND rm -f  {,src/,po/,doc/}Makefile
    COMMAND rm -rf {,src/,po/,doc/}CMakeFiles
    COMMAND rm -rf {,src/,po/,doc/}_CPack_Packages
    COMMAND rm -rf build/*
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)
ADD_DEPENDENCIES(distclean clean)

# configure the RPM specs
CONFIGURE_FILE(
    "${CMAKE_SOURCE_DIR}/kmidimon.fedora.spec.in"
    "${CMAKE_SOURCE_DIR}/kmidimon.fedora.spec"
    IMMEDIATE @ONLY)
CONFIGURE_FILE(
    "${CMAKE_SOURCE_DIR}/kmidimon.mdk.spec.in"
    "${CMAKE_SOURCE_DIR}/kmidimon.mdk.spec"
    IMMEDIATE @ONLY)

# tarball target
ADD_CUSTOM_TARGET ( tarball
    COMMAND mkdir -p kmidimon-${VERSION}
    COMMAND cp -r cmake_admin kmidimon-${VERSION}
    COMMAND cp -r doc kmidimon-${VERSION}
    COMMAND cp -r po kmidimon-${VERSION}
    COMMAND cp -r src kmidimon-${VERSION}
    COMMAND cp CMakeLists.txt AUTHORS COPYING ChangeLog INSTALL NEWS README TODO *.spec.in kmidimon-${VERSION}
    COMMAND tar -cj --exclude CVS --exclude .cvsignore -f kmidimon-${VERSION}.tar.bz2 kmidimon-${VERSION}
    COMMAND rm -rf kmidimon-${VERSION}
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

=== doc/CMakeLists.txt ===
SET(DOC_DIRS en)
ADD_DOCS(kmidimon ${DOC_DIRS})

=== po/CMakeLists.txt ===
SET(PO_FILES es.po)
ADD_TRANSLATIONS(kmidimon ${PO_FILES})

=== src/CMakeLists.txt ===
IF(NOT KMIDIMON_SOURCE_DIR)
    MESSAGE(FATAL_ERROR "You need to run cmake or ccmake at the root directory")
ENDIF(NOT KMIDIMON_SOURCE_DIR)

IF(USE_PCH)
    ADD_QTKDE_PRECOMPILED_HEADER(precompiled_headers qt_kde.h)
ENDIF(USE_PCH)

LINK_DIRECTORIES(
    ${KDE3_LIB_DIR} 
    ${ALSA_LIB_DIR}
)

INCLUDE_DIRECTORIES(AFTER
    ${QT_INCLUDE_DIR} 
    ${KDE3_INCLUDE_DIR} 
    ${ALSA_INC_DIR}
)

SET(kmidimon_SRCS 
	configdialog.cpp
	configdialog.h
	connectdlg.cpp
	connectdlg.h
	debugdef.h
	fancylistviewitem.cpp
	fancylistviewitem.h
	kmidimon.cpp
	kmidimon.h
	kmidimonwidget.cpp
	kmidimonwidget.h
	main.cpp
	sequencerclient.cpp
	sequencerclient.h
	qt_kde.h
)

SET(kmidimon_UI 
	configdialogbase.ui
	kmidimonwidgetbase.ui
)

#SET(kmidimon_DCOP "")
#KDE3_ADD_DCOP_SKELS(kmidimon_SRCS ${kmidimon_DCOP})
#KDE3_ADD_DCOP_STUBS(kmidimon_SRCS ${kmidimon_DCOP}) 

KDE3_ADD_UI_FILES(kmidimon_SRCS ${kmidimon_UI})
KDE3_AUTOMOC(${kmidimon_SRCS})
KDE3_ADD_EXECUTABLE(kmidimon ${kmidimon_SRCS})

IF(USE_PCH)
    ADD_DEPENDENCIES(kmidimon precompiled_headers)
ENDIF(USE_PCH)

TARGET_LINK_LIBRARIES( kmidimon
    ${QT_AND_KDECORE_LIBS} 
    ${ALSA_LIBS} 
    kdeui
    kio
)

# Install targets
INSTALL( TARGETS kmidimon
         RUNTIME DESTINATION bin )

# Install GUI resource files
FILE(GLOB RC_FILES *.rc)
INSTALL( FILES ${RC_FILES}
         DESTINATION share/apps/kmidimon )

# Install icons
INSTALL(FILES icons/hi16-app-kmidimon.png
        DESTINATION share/icons/hicolor/16x16/apps   
        RENAME kmidimon.png)
INSTALL(FILES icons/hi32-app-kmidimon.png
        DESTINATION share/icons/hicolor/32x32/apps   
        RENAME kmidimon.png)
INSTALL(FILES icons/hi16-action-kmidimon_record.png
	DESTINATION share/icons/hicolor/16x16/actions        
        RENAME kmidimon_record.png)
INSTALL(FILES icons/hi22-action-kmidimon_record.png
	DESTINATION share/icons/hicolor/22x22/actions        
        RENAME kmidimon_record.png)
INSTALL(FILES icons/hi32-action-kmidimon_record.png
	DESTINATION share/icons/hicolor/32x32/actions        
        RENAME kmidimon_record.png)
INSTALL(FILES kmidimon.desktop
	DESTINATION share/applications)

## kmidimon 0.7.1

=== CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

PROJECT(KMIDIMON)

SET(CMAKE_USE_RELATIVE_PATHS OFF)
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")

SET (VERSION_MAJOR "0")
SET (VERSION_MINOR "7")
SET (VERSION_PATCH "1")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
ADD_DEFINITIONS(-D'VERSION="${VERSION}"')

OPTION(WANT_PCH "Use precompiled headers" OFF)
OPTION(WANT_STATIC "Use aseqmm static library" ON)

FIND_PACKAGE(Qt4 REQUIRED)
FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE_DIRECTORIES ( 
    ${KDE4_INCLUDES} 
    ${QT_INCLUDES})
STRING(REPLACE "-fno-exceptions" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
SET(LIB "lib${LIB_SUFFIX}")
SET(LIBRARY_OUTPUT_PATH "")
SET(EXECUTABLE_OUTPUT_PATH "")
SEPARATE_ARGUMENTS(KDE4_DEFINITIONS)
SEPARATE_ARGUMENTS(QT_DEFINITIONS)
#MESSAGE(STATUS "KDE4 Definitions: ${KDE4_DEFINITIONS}") 
#MESSAGE(STATUS "QT Definitions: ${QT_DEFINITIONS}") 
ADD_DEFINITIONS(${KDE4_DEFINITIONS})
ADD_DEFINITIONS(${QT_DEFINITIONS})

MESSAGE(STATUS "Build configuration: ${CMAKE_BUILD_TYPE}")

# LIBRARY BUILD TYPE
IF(WANT_STATIC)
    SET(BUILD_SHARED_LIBS OFF)
ELSE(WANT_STATIC)
    SET(BUILD_SHARED_LIBS ON)
ENDIF(WANT_STATIC)

FIND_PACKAGE(MSGFMT REQUIRED)
IF(MSGFMT_FOUND)
    MESSAGE(STATUS "Program msgfmt found (${MSGFMT_EXECUTABLE})")
ENDIF(MSGFMT_FOUND)

FIND_PACKAGE(PkgConfig REQUIRED)
IF(PKG_CONFIG_FOUND)
    MESSAGE(STATUS "Program pkg-config found (${PKG_CONFIG_EXECUTABLE})")
ELSE(PKG_CONFIG_FOUND)
    MESSAGE(FATAL_ERROR "Program pkg-config not found")
ENDIF(PKG_CONFIG_FOUND)

SET(HAVE_ALSA FALSE)
PKG_CHECK_MODULES(ALSA REQUIRED alsa>=1.0)
IF(ALSA_FOUND)
    SET(HAVE_ALSA TRUE)
    ADD_DEFINITIONS(-DHAVE_ALSA)
    SET(ALSA_LIBS ${ALSA_LIBRARIES})
    #MESSAGE("ALSA_LIBS: ${ALSA_LIBS}")
    LIST(APPEND ALSA_LIB_DIR ${ALSA_LIBRARY_DIRS} ${ALSA_LIBDIR} )
    #MESSAGE("ALSA_LIB_DIR: ${ALSA_LIB_DIR}")
    LIST(APPEND ALSA_INC_DIR ${ALSA_INCLUDE_DIRS} ${ALSA_INCLUDEDIR})
    #MESSAGE("ALSA_INC_DIR: ${ALSA_INC_DIR}")
ELSE(ALSA_FOUND)
    MESSAGE(FATAL_ERROR "Please install the required package. Aborting")
ENDIF(ALSA_FOUND)

#PKG_CHECK_MODULES(ASEQMM REQUIRED aseqmm)
#IF(ASEQMM_FOUND)
#   SET(ASEQMM_LIBS ${ASEQMM_LIBRARIES})
#   MESSAGE("ASEQMM_LIBS: ${ASEQMM_LIBS}")
#   LIST(APPEND ASEQMM_LIB_DIR ${ASEQMM_LIBRARY_DIRS} ${ASEQMM_LIBDIR} )
#   MESSAGE("ASEQMM_LIB_DIR: ${ASEQMM_LIB_DIR}")
#   LIST(APPEND ASEQMM_INC_DIR ${ASEQMM_INCLUDE_DIRS} ${ASEQMM_INCLUDEDIR})
#   MESSAGE("ASEQMM_INC_DIR: ${ASEQMM_INC_DIR}")
#ELSE(ASEQMM_FOUND)
#   MESSAGE(FATAL_ERROR "Please install the required package. Aborting")
#ENDIF(ASEQMM_FOUND)
SET(ASEQMM_LIBS aseqmm)
SET(ASEQMM_LIB_DIR ${KMIDIMON_BINARY_DIR})
SET(ASEQMM_INC_DIR ${KMIDIMON_SOURCE_DIR}/aseqmm/include)

SET(USE_PCH FALSE)
IF(WANT_PCH)
    FIND_PACKAGE(PCHSupport)
    IF(PCHSupport_FOUND)
        SET(USE_PCH TRUE)
        MESSAGE(STATUS "Enabling precompiled headers for GCC ${gcc_compiler_version}") 
    ENDIF(PCHSupport_FOUND)
ENDIF(WANT_PCH)

MESSAGE(STATUS "kmidimon ${VERSION} install prefix: ${CMAKE_INSTALL_PREFIX}")

ADD_SUBDIRECTORY(aseqmm build/aseqmm)
ADD_SUBDIRECTORY(src build)
ADD_SUBDIRECTORY(icons build/icons)
ADD_SUBDIRECTORY(po build/po)
ADD_SUBDIRECTORY(doc build/doc)

CONFIGURE_FILE(
    "${CMAKE_SOURCE_DIR}/kmidimon.spec.in"
    "${CMAKE_SOURCE_DIR}/kmidimon.spec"
    IMMEDIATE @ONLY)

CONFIGURE_FILE(
    "${CMAKE_SOURCE_DIR}/cmake_admin/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

ADD_CUSTOM_TARGET ( distclean
    COMMAND rm -f  {,src/,po/,doc/}CMakeCache.txt
    COMMAND rm -f  {,src/,po/,doc/}CTestTestfile.cmake
    COMMAND rm -f  {,src/,po/,doc/}cmake_install.cmake
    COMMAND rm -f  {,src/,po/,doc/}cmake_uninstall.cmake
    COMMAND rm -f  {,src/,po/,doc/}CPackConfig.cmake
    COMMAND rm -f  {,src/,po/,doc/}CPackSourceConfig.cmake
    COMMAND rm -f  {,src/,po/,doc/}install_manifest.txt
    COMMAND rm -f  {,src/,po/,doc/}progress.make
    COMMAND rm -f  {,src/,po/,doc/}kmidimon.spec
    COMMAND rm -f  {,src/,po/,doc/}Makefile
    COMMAND rm -rf {,src/,po/,doc/}CMakeFiles
    COMMAND rm -rf {,src/,po/,doc/}CMakeTmp
    COMMAND rm -rf {,src/,po/,doc/}_CPack_Packages
    COMMAND rm -rf build/*
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)
ADD_DEPENDENCIES(distclean clean)

ADD_CUSTOM_TARGET ( tarball
    COMMAND mkdir -p kmidimon-${VERSION}
    COMMAND cp -r cmake_admin kmidimon-${VERSION}
    COMMAND cp -r doc kmidimon-${VERSION}
    COMMAND cp -r po kmidimon-${VERSION}
    COMMAND cp -r icons kmidimon-${VERSION}
    COMMAND cp -r src kmidimon-${VERSION}
    COMMAND cp -rHL aseqmm kmidimon-${VERSION}
    COMMAND cp CMakeLists.txt AUTHORS COPYING ChangeLog INSTALL NEWS README TODO *.ins *.spec* *.desktop *.lsm kmidimon-${VERSION}
    COMMAND tar -cj --exclude CVS --exclude .cvsignore --exclude *.old --exclude *~ -f kmidimon-${VERSION}.tar.bz2 kmidimon-${VERSION}
    COMMAND tar -cz --exclude CVS --exclude .cvsignore --exclude *.old --exclude *~ -f kmidimon-${VERSION}.tar.gz kmidimon-${VERSION}
    COMMAND rm -rf kmidimon-${VERSION}
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

INSTALL( FILES kmidimon.desktop
         DESTINATION ${XDG_APPS_INSTALL_DIR} )
         
INSTALL( FILES standards.ins 
         DESTINATION ${DATA_INSTALL_DIR}/kmidimon )

=== aseqmm/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/include
)

SET(aseqmm_qtobject_SRCS
    include/alsatimer.h
    include/client.h
    include/event.h
    include/playthread.h
    include/port.h
    include/queue.h
    include/qsmf.h
)

SET(aseqmm_HEADERS
    include/alsatimer.h
    include/client.h
    include/commons.h
    include/event.h
    include/playthread.h
    include/port.h
    include/qsmf.h
    include/queue.h
    include/subscription.h
)

SET(aseqmm_SRCS
    src/alsatimer.cpp
    src/client.cpp
    src/event.cpp
    src/playthread.cpp
    src/port.cpp
    src/qsmf.cpp
    src/queue.cpp
    src/subscription.cpp
)

QT4_WRAP_CPP(aseqmm_moc_SRCS ${aseqmm_qtobject_SRCS})

ADD_LIBRARY(aseqmm 
    ${aseqmm_moc_SRCS}
    ${aseqmm_SRCS} 
    ${aseqmm_HEADERS} 
)

TARGET_LINK_LIBRARIES(aseqmm
    ${QT_LIBRARIES}
    ${ALSA_LIBS}
)

=== po/CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

SET(PO_FILES es.po)
ADD_TRANSLATIONS(kmidimon ${PO_FILES})

=== src/CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

IF(NOT KMIDIMON_SOURCE_DIR)
    MESSAGE(FATAL_ERROR "You need to run cmake or ccmake at the root directory")
ENDIF(NOT KMIDIMON_SOURCE_DIR)

IF(USE_PCH)
    ADD_PRECOMPILED_HEADER(precompiled_headers qt_kde.h)
ENDIF(USE_PCH)

INCLUDE_DIRECTORIES(
    ${ALSA_INC_DIR}
    ${ASEQMM_INC_DIR}
)

LINK_DIRECTORIES(
    ${ALSA_LIB_DIR}
    ${ASEQMM_LIB_DIR}
)

SET(kmidimon_SRCS 
    configdialog.cpp
    configdialog.h
    connectdlg.cpp
    connectdlg.h
    eventfilter.cpp
    eventfilter.h
    instrument.cpp
    instrument.h
    kmidimon.cpp
    kmidimon.h
    main.cpp
    player.cpp
    player.h
    proxymodel.cpp
    proxymodel.h
    sequenceradaptor.cpp
    sequenceradaptor.h
    sequenceitem.cpp
    sequenceitem.h
    sequencemodel.cpp
    sequencemodel.h
    slideraction.cpp
    slideraction.h
)

SET(kmidimon_UI 
	configdialogbase.ui
)

KDE4_ADD_UI_FILES(kmidimon_SRCS ${kmidimon_UI})
KDE4_ADD_EXECUTABLE(kmidimon ${kmidimon_SRCS})

IF(USE_PCH)
    ADD_DEPENDENCIES(kmidimon precompiled_headers)
ENDIF(USE_PCH)

TARGET_LINK_LIBRARIES( kmidimon
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${ALSA_LIBS}
    ${ASEQMM_LIBS}
)

INSTALL(TARGETS kmidimon RUNTIME DESTINATION ${BIN_INSTALL_DIR})
INSTALL(FILES kmidimonui.rc DESTINATION ${DATA_INSTALL_DIR}/kmidimon)

## kmidimon 0.7.3

=== CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

PROJECT(KMIDIMON)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
SET(CMAKE_USE_RELATIVE_PATHS OFF)
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")

SET (VERSION_MAJOR "0")
SET (VERSION_MINOR "7")
SET (VERSION_PATCH "3")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
ADD_DEFINITIONS(-D'VERSION="${VERSION}"')

OPTION(ENABLE_PCH       "Enable precompiled headers" OFF)
OPTION(STATIC_DRUMSTICK "Build drumstick static library" ON)

FIND_PACKAGE(Qt4 REQUIRED)
FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE_DIRECTORIES(${QT_INCLUDES} ${KDE4_INCLUDES})
STRING(REPLACE "-fno-exceptions" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
SET(LIB "lib${LIB_SUFFIX}")
SET(LIBRARY_OUTPUT_PATH "")
SET(EXECUTABLE_OUTPUT_PATH "")
SEPARATE_ARGUMENTS(KDE4_DEFINITIONS)
SEPARATE_ARGUMENTS(QT_DEFINITIONS)
ADD_DEFINITIONS(${KDE4_DEFINITIONS})
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_STRICT_ITERATORS)

MESSAGE(STATUS "Build configuration: ${CMAKE_BUILD_TYPE}")

FIND_PACKAGE(MSGFMT REQUIRED)
IF(MSGFMT_FOUND)
    MESSAGE(STATUS "Program msgfmt found (${MSGFMT_EXECUTABLE})")
ELSE(MSGFMT_FOUND)
    MESSAGE(FATAL_ERROR "Please install the program msgfmt (gettext)")
ENDIF(MSGFMT_FOUND)

FIND_PACKAGE(PkgConfig REQUIRED)
IF(PKG_CONFIG_FOUND)
    MESSAGE(STATUS "Program pkg-config found (${PKG_CONFIG_EXECUTABLE})")
ELSE(PKG_CONFIG_FOUND)
    MESSAGE(FATAL_ERROR "Please install pkg-config")
ENDIF(PKG_CONFIG_FOUND)

SET(HAVE_ALSA FALSE)
PKG_CHECK_MODULES(ALSA REQUIRED alsa>=1.0)
IF(ALSA_FOUND)
    SET(HAVE_ALSA TRUE)
    ADD_DEFINITIONS(-DHAVE_ALSA)
    SET(ALSA_LIBS ${ALSA_LIBRARIES})
    #MESSAGE("ALSA_LIBS: ${ALSA_LIBS}")
    LIST(APPEND ALSA_LIB_DIR ${ALSA_LIBRARY_DIRS} ${ALSA_LIBDIR} )
    #MESSAGE("ALSA_LIB_DIR: ${ALSA_LIB_DIR}")
    LIST(APPEND ALSA_INC_DIR ${ALSA_INCLUDE_DIRS} ${ALSA_INCLUDEDIR})
    #MESSAGE("ALSA_INC_DIR: ${ALSA_INC_DIR}")
ELSE(ALSA_FOUND)
    MESSAGE(FATAL_ERROR "Please install ALSA library and headers (libasound2)")
ENDIF(ALSA_FOUND)

# DRUMSTICK LIBRARY BUILD TYPE
IF(STATIC_DRUMSTICK)
    SET(BUILD_SHARED_LIBS OFF)
    SET(DRUMSTICK_LIBS drumstick-file drumstick-alsa)
    SET(DRUMSTICK_LIB_DIR ${KMIDIMON_BINARY_DIR})
    SET(DRUMSTICK_INC_DIR ${KMIDIMON_SOURCE_DIR}/drumstick/include)
    ADD_SUBDIRECTORY(drumstick)
ELSE(STATIC_DRUMSTICK)
    SET(BUILD_SHARED_LIBS ON)
    PKG_CHECK_MODULES(DRUMSTICK-FILE REQUIRED drumstick-file>=0.3)
    PKG_CHECK_MODULES(DRUMSTICK-ALSA REQUIRED drumstick-alsa>=0.3)
    IF(DRUMSTICK-FILE_FOUND AND DRUMSTICK-ALSA_FOUND)
       SET( DRUMSTICK_LIBS ${DRUMSTICK-FILE_LIBRARIES} 
                           ${DRUMSTICK-ALSA_LIBRARIES})
       #MESSAGE(STATUS "DRUMSTICK_LIBS: ${DRUMSTICK_LIBS}")
       LIST( APPEND DRUMSTICK_LIB_DIR 
          ${DRUMSTICK-FILE_LIBRARY_DIRS} ${DRUMSTICK-FILE_LIBDIR}
          ${DRUMSTICK-ALSA_LIBRARY_DIRS} ${DRUMSTICK-ALSA_LIBDIR} )
       #MESSAGE(STATUS "DRUMSTICK_LIB_DIR: ${DRUMSTICK_LIB_DIR}")
       LIST( APPEND DRUMSTICK_INC_DIR 
             ${DRUMSTICK-FILE_INCLUDE_DIRS} ${DRUMSTICK-FILE_INCLUDEDIR}
             ${DRUMSTICK-ALSA_INCLUDE_DIRS} ${DRUMSTICK-ALSA_INCLUDEDIR} )
       #MESSAGE(STATUS "DRUMSTICK_INC_DIR: ${DRUMSTICK_INC_DIR}")
    ELSE(DRUMSTICK-FILE_FOUND AND DRUMSTICK-ALSA_FOUND)
       MESSAGE(FATAL_ERROR "Please install drumstick libraries and headers" 
                           " (libdrumstick-file0, libdrumstick-alsa0)" )
    ENDIF(DRUMSTICK-FILE_FOUND AND DRUMSTICK-ALSA_FOUND)
ENDIF(STATIC_DRUMSTICK)

SET(USE_PCH FALSE)
IF(ENABLE_PCH)
    FIND_PACKAGE(PCHSupport)
    IF(PCHSupport_FOUND)
        SET(USE_PCH TRUE)
        MESSAGE(STATUS "Enabling precompiled headers for GCC ${gcc_compiler_version}") 
    ENDIF(PCHSupport_FOUND)
ENDIF(ENABLE_PCH)

MESSAGE(STATUS "kmidimon ${VERSION} install prefix: ${CMAKE_INSTALL_PREFIX}")

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(doc)

CONFIGURE_FILE(
    "${CMAKE_SOURCE_DIR}/kmidimon.spec.in"
    "${CMAKE_SOURCE_DIR}/kmidimon.spec"
    IMMEDIATE @ONLY)

CONFIGURE_FILE(
    "${CMAKE_SOURCE_DIR}/cmake_admin/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

ADD_CUSTOM_TARGET ( tarball
    COMMAND mkdir -p kmidimon-${VERSION}
    COMMAND cp -r cmake_admin kmidimon-${VERSION}
    COMMAND cp -r doc kmidimon-${VERSION}
    COMMAND cp -r po kmidimon-${VERSION}
    COMMAND cp -r icons kmidimon-${VERSION}
    COMMAND cp -r src kmidimon-${VERSION}
    COMMAND cp -rHL drumstick kmidimon-${VERSION}
    COMMAND cp CMakeLists.txt AUTHORS COPYING ChangeLog INSTALL NEWS README TODO *.ins *.spec* *.desktop *.lsm kmidimon-${VERSION}
    COMMAND tar -cj --exclude .svn --exclude *.old --exclude *~ -f kmidimon-${VERSION}.tar.bz2 kmidimon-${VERSION}
    COMMAND tar -cz --exclude .svn --exclude *.old --exclude *~ -f kmidimon-${VERSION}.tar.gz kmidimon-${VERSION}
    COMMAND rm -rf kmidimon-${VERSION}
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

INSTALL( FILES kmidimon.desktop
         DESTINATION ${XDG_APPS_INSTALL_DIR} )
         
INSTALL( FILES standards.ins 
         DESTINATION ${DATA_INSTALL_DIR}/kmidimon )

=== drumstick/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/include
)

# drumstick-file library

SET(drumstick-file_QTOBJ_SRCS
    include/qsmf.h
    include/qwrk.h
)

SET(drumstick-file_HEADERS
    include/qsmf.h
    include/qwrk.h
)

SET(drumstick-file_SRCS
    src/qsmf.cpp
    src/qwrk.cpp
)

QT4_WRAP_CPP(drumstick-file_MOC_SRCS ${drumstick-file_QTOBJ_SRCS})

ADD_LIBRARY(drumstick-file
    ${drumstick-file_MOC_SRCS}
    ${drumstick-file_SRCS} 
    ${drumstick-file_HEADERS} 
)

SET_TARGET_PROPERTIES(drumstick-file PROPERTIES COMPILE_FLAGS -fPIC)

TARGET_LINK_LIBRARIES(drumstick-file
    ${QT_LIBRARIES}
)

# drumstick-alsa library

SET(drumstick-alsa_QTOBJ_SRCS
    include/alsaclient.h
    include/alsaevent.h
    include/alsaport.h
    include/alsaqueue.h
    include/alsatimer.h
    include/playthread.h
)

SET(drumstick-alsa_HEADERS
    include/alsaclient.h
    include/alsaevent.h
    include/alsaport.h
    include/alsaqueue.h
    include/alsatimer.h
    include/drumstickcommon.h
    include/playthread.h
    include/subscription.h
)

SET(drumstick-alsa_SRCS
    src/alsaclient.cpp
    src/alsaevent.cpp
    src/alsaport.cpp
    src/alsaqueue.cpp
    src/alsatimer.cpp
    src/playthread.cpp
    src/subscription.cpp
)

QT4_WRAP_CPP(drumstick-alsa_MOC_SRCS ${drumstick-alsa_QTOBJ_SRCS})
   
ADD_LIBRARY(drumstick-alsa 
    ${drumstick-alsa_MOC_SRCS}
    ${drumstick-alsa_SRCS} 
    ${drumstick-alsa_HEADERS} 
)

SET_TARGET_PROPERTIES(drumstick-alsa PROPERTIES COMPILE_FLAGS -fPIC)
    
TARGET_LINK_LIBRARIES(drumstick-alsa
    ${QT_LIBRARIES}
    ${ALSA_LIBS}
)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -16,5 +16,5 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 # MA 02110-1301, USA
 
-SET(PO_FILES es.po)
+SET(PO_FILES cs.po es.po)
 ADD_TRANSLATIONS(kmidimon ${PO_FILES})

## kmidimon 0.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,13 +24,13 @@
 
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "7")
-SET (VERSION_PATCH "3")
+SET (VERSION_PATCH "4")
 SET (VERSION_SUFFIX "")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 ADD_DEFINITIONS(-D'VERSION="${VERSION}"')
 
 OPTION(ENABLE_PCH       "Enable precompiled headers" OFF)
-OPTION(STATIC_DRUMSTICK "Build drumstick static library" ON)
+OPTION(STATIC_DRUMSTICK "Build drumstick static library" OFF)
 
 FIND_PACKAGE(Qt4 REQUIRED)
 FIND_PACKAGE(KDE4 REQUIRED)
@@ -87,8 +87,8 @@
     ADD_SUBDIRECTORY(drumstick)
 ELSE(STATIC_DRUMSTICK)
     SET(BUILD_SHARED_LIBS ON)
-    PKG_CHECK_MODULES(DRUMSTICK-FILE REQUIRED drumstick-file>=0.3)
-    PKG_CHECK_MODULES(DRUMSTICK-ALSA REQUIRED drumstick-alsa>=0.3)
+    PKG_CHECK_MODULES(DRUMSTICK-FILE REQUIRED drumstick-file>=0.5)
+    PKG_CHECK_MODULES(DRUMSTICK-ALSA REQUIRED drumstick-alsa>=0.5)
     IF(DRUMSTICK-FILE_FOUND AND DRUMSTICK-ALSA_FOUND)
        SET( DRUMSTICK_LIBS ${DRUMSTICK-FILE_LIBRARIES} 
                            ${DRUMSTICK-ALSA_LIBRARIES})

=== doc/CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

ADD_SUBDIRECTORY(en)

=== drumstick/CMakeLists.txt ===
--- 
+++ 
@@ -2,30 +2,35 @@
     ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}/include
 )
+
+ADD_DEFINITIONS(-DRTKIT_SUPPORT)
 
 # drumstick-file library
 
 SET(drumstick-file_QTOBJ_SRCS
     include/qsmf.h
     include/qwrk.h
+    include/qove.h
 )
 
 SET(drumstick-file_HEADERS
     include/qsmf.h
     include/qwrk.h
+    include/qove.h
 )
 
 SET(drumstick-file_SRCS
     src/qsmf.cpp
     src/qwrk.cpp
+    src/qove.cpp
 )
 
 QT4_WRAP_CPP(drumstick-file_MOC_SRCS ${drumstick-file_QTOBJ_SRCS})
 
 ADD_LIBRARY(drumstick-file
     ${drumstick-file_MOC_SRCS}
-    ${drumstick-file_SRCS} 
-    ${drumstick-file_HEADERS} 
+    ${drumstick-file_SRCS}
+    ${drumstick-file_HEADERS}
 )
 
 SET_TARGET_PROPERTIES(drumstick-file PROPERTIES COMPILE_FLAGS -fPIC)
@@ -46,6 +51,7 @@
 )
 
 SET(drumstick-alsa_HEADERS
+    include/macros.h
     include/alsaclient.h
     include/alsaevent.h
     include/alsaport.h

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -16,5 +16,5 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 # MA 02110-1301, USA
 
-SET(PO_FILES cs.po es.po)
-ADD_TRANSLATIONS(kmidimon ${PO_FILES})
+FILE (GLOB PO_FILES *.po)
+ADD_TRANSLATIONS (kmidimon ${PO_FILES})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMidimon - ALSA Sequencer based MIDI Monitor
-# Copyright (C) 2005-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -26,12 +26,12 @@
 
 INCLUDE_DIRECTORIES(
     ${ALSA_INC_DIR}
-    ${ASEQMM_INC_DIR}
+    ${DRUMSTICK_INC_DIR}
 )
 
 LINK_DIRECTORIES(
     ${ALSA_LIB_DIR}
-    ${ASEQMM_LIB_DIR}
+    ${DRUMSTICK_LIB_DIR}
 )
 
 SET(kmidimon_SRCS 
@@ -75,7 +75,7 @@
     ${KDE4_KDEUI_LIBS}
     ${KDE4_KIO_LIBS}
     ${ALSA_LIBS}
-    ${ASEQMM_LIBS}
+    ${DRUMSTICK_LIBS}
 )
 
 INSTALL(TARGETS kmidimon RUNTIME DESTINATION ${BIN_INSTALL_DIR})

=== doc/en/CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en 
                                    SUBDIR kmidimon )

kde4_create_manpage( man-kmidimon.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== debian/changelog ===
kmidimon (0.7.4-1) experimental; urgency=low

  * Update homepage
  * Imported Upstream version 0.7.4
  * Use external libdrumstick.
  * Drop obsolete patches.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 22 Nov 2010 16:47:52 +0100

kmidimon (0.7.3-2) unstable; urgency=low

  * Add drumstick patch to fix compilation errors on arm and mips.
  * Add drumstick patch to fix problems with ALSA seq.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 17 May 2010 12:17:40 +0200

kmidimon (0.7.3-1) unstable; urgency=low

  * New upstream version

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 24 Dec 2009 17:59:55 +0100

kmidimon (0.7.1-1) unstable; urgency=low

  * New Upstream Version

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 10 Aug 2009 13:26:16 +0200

kmidimon (0.7.0-1) unstable; urgency=low

  [Reinhard Tartler]
  * bump debhelper compat level to 7
  * cleanups in debian/rules and debian/control
  
  [Adrian Knoth]
  * New Upstream Version (Closes: #534205)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 27 Jun 2009 15:42:50 +0200

kmidimon (0.5.0-2) unstable; urgency=low

  * Mention the FLD license in debian/copyright

 -- Free Ekanayaka <freee@debian.org>  Sun, 22 Apr 2007 19:57:16 +0200

kmidimon (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #416491)

 -- Free Ekanayaka <freee@debian.org>  Fri,  2 Feb 2007 00:00:17 +0100

=== debian/control ===
Source: kmidimon
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
	   Adrian Knoth <adi@drcomp.erfurt.thur.de>
Build-Depends: debhelper (>= 7),
 cdbs,
 cmake,
 pkg-config,
 kdelibs5-dev,
 libdrumstick-dev,
 libasound2-dev
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
Homepage: http://kmidimon.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-multimedia/kmidimon.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/kmidimon.git;a=summary

Package: kmidimon
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: MIDI monitor using ALSA sequencer and KDE user interface
 KMidimon can monitor a MIDI data stream, in order to diagnose
 a malfunctioning piece of equipment or to examine the contents
 of a MIDI sequence during playback.

## kmidimon 0.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMidimon - ALSA Sequencer based MIDI Monitor
-# Copyright (C) 2005-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2013 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -24,7 +24,7 @@
 
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "7")
-SET (VERSION_PATCH "4")
+SET (VERSION_PATCH "5")
 SET (VERSION_SUFFIX "")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 ADD_DEFINITIONS(-D'VERSION="${VERSION}"')

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMidimon - ALSA Sequencer based MIDI Monitor
-# Copyright (C) 2005-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2013 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,3 +17,5 @@
 # MA 02110-1301, USA
 
 ADD_SUBDIRECTORY(en)
+ADD_SUBDIRECTORY(ja)
+

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMidimon - ALSA Sequencer based MIDI Monitor
-# Copyright (C) 2005-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2013 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMidimon - ALSA Sequencer based MIDI Monitor
-# Copyright (C) 2005-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2013 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== doc/en/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMidimon - ALSA Sequencer based MIDI Monitor
-# Copyright (C) 2005-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2013 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,7 +16,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 # MA 02110-1301, USA
 
-kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en 
-                                    SUBDIR kmidimon )
+kde4_create_handbook( index.docbook 
+                      INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en 
+                      SUBDIR kmidimon )
 
-kde4_create_manpage( man-kmidimon.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
+kde4_create_manpage( man-kmidimon.1.docbook 1 
+                     INSTALL_DESTINATION ${MAN_INSTALL_DIR} )

=== doc/ja/CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2013 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

kde4_create_handbook( index.docbook 
                      INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ja 
                      SUBDIR kmidimon )

kde4_create_manpage( man-kmidimon.1.docbook 1 
                     INSTALL_DESTINATION ${MAN_INSTALL_DIR}/ja )

=== debian/changelog ===
kmidimon (0.7.5-3) unstable; urgency=medium

  * Team upload.

  [ Olivier Humbert ]
  * Add a french translation (applied upstream). (Closes: #833360)

 -- James Cowgill <jcowgill@debian.org>  Thu, 04 Aug 2016 11:22:43 +0000

kmidimon (0.7.5-2) unstable; urgency=medium

  * Team upload.

  [ Radovan Birdic ]
  * Remove uninstall target from CMakeLists.txt, fixing FTBFS. (Closes: #803566)

  [ James Cowgill ]
  * Use canonical Vcs URLs.
  * Remove menu file per tech-ctte decision.
  * Bump standards to 3.9.8.

 -- James Cowgill <jcowgill@debian.org>  Sun, 24 Jul 2016 13:26:55 +0100

kmidimon (0.7.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Fix VCS URLs.
  * Remove obsolete DM-Upload-Allowed: yes flag.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Oct 2013 14:26:54 +0100

kmidimon (0.7.4-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * debian/gbp.conf: Set compression to bzip2.

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Mar 2011 13:40:56 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
  kdelibs5-dev,
  libdrumstick-dev,
  libasound2-dev
-Standards-Version: 3.9.1
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.8
 Homepage: http://kmidimon.sourceforge.net
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/kmidimon.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/kmidimon.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kmidimon.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kmidimon.git
 
 Package: kmidimon
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
